Tennis V1
Search
Search for tennis players, tournaments, and teams
GET
/
search
Search
curl --request GET \
--url https://api.sportsapipro.com/v1/tennis/search \
--header 'x-api-key: <api-key>'import requests
url = "https://api.sportsapipro.com/v1/tennis/search"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.sportsapipro.com/v1/tennis/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
Overview
Search across tennis players, tournaments, and teams by name.Code Examples
curl -X GET "https://api.sportsapipro.com/v1/tennis/search?query=Nadal" \
-H "x-api-key: YOUR_API_KEY"
const response = await fetch(
'https://api.sportsapipro.com/v1/tennis/search?query=Nadal',
{ headers: { 'x-api-key': 'YOUR_API_KEY' } }
);
const results = await response.json();
import requests
response = requests.get(
'https://api.sportsapipro.com/v1/tennis/search?query=Nadal',
headers={'x-api-key': 'YOUR_API_KEY'}
)
Parameters
string
required
Search term
string
Filter type:
all, athletes, competitions, competitorsResponse Structure
array
Matching players
array
Matching tournaments
Use search to find player IDs, then use other endpoints for detailed data.
Authorizations
Your SportsAPI Pro API key
Query Parameters
Search query
Example:
"Nadal"
Filter type: all, competitions, competitors, athletes
Available options:
all, competitions, competitors, athletes Response
200
Search results retrieved successfully
Last modified on June 29, 2026
Was this page helpful?
⌘I
Search
